﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HMS_Final
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class AHMSEntities : DbContext
    {
        public AHMSEntities()
            : base("name=AHMSEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<C__MigrationHistory> C__MigrationHistory { get; set; }
        public virtual DbSet<AspNetRole> AspNetRoles { get; set; }
        public virtual DbSet<AspNetUserClaim> AspNetUserClaims { get; set; }
        public virtual DbSet<AspNetUserLogin> AspNetUserLogins { get; set; }
        public virtual DbSet<AspNetUser> AspNetUsers { get; set; }
        public virtual DbSet<Bed> Beds { get; set; }
        public virtual DbSet<CallOnDoctor> CallOnDoctors { get; set; }
        public virtual DbSet<Department> Departments { get; set; }
        public virtual DbSet<Discharge> Discharges { get; set; }
        public virtual DbSet<Doctor> Doctors { get; set; }
        public virtual DbSet<Hospital> Hospitals { get; set; }
        public virtual DbSet<Inpatient> Inpatients { get; set; }
        public virtual DbSet<LabReport> LabReports { get; set; }
        public virtual DbSet<MedicalStore> MedicalStores { get; set; }
        public virtual DbSet<Medicine> Medicines { get; set; }
        public virtual DbSet<Nurse> Nurses { get; set; }
        public virtual DbSet<outpaitent> outpaitents { get; set; }
        public virtual DbSet<Patient> Patients { get; set; }
        public virtual DbSet<Registeration> Registerations { get; set; }
        public virtual DbSet<RegularDoctor> RegularDoctors { get; set; }
        public virtual DbSet<Staff> Staffs { get; set; }
        public virtual DbSet<Stock> Stocks { get; set; }
        public virtual DbSet<sysdiagram> sysdiagrams { get; set; }
        public virtual DbSet<Test> Tests { get; set; }
        public virtual DbSet<Operation> Operations { get; set; }
        public virtual DbSet<Room> Rooms { get; set; }
        public virtual DbSet<Ward> Wards { get; set; }
    
        public virtual ObjectResult<MedicineIdAndName_Result> MedicineIdAndName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<MedicineIdAndName_Result>("MedicineIdAndName");
        }
    
        public virtual int sp_alterdiagram(string diagramname, Nullable<int> owner_id, Nullable<int> version, byte[] definition)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            var versionParameter = version.HasValue ?
                new ObjectParameter("version", version) :
                new ObjectParameter("version", typeof(int));
    
            var definitionParameter = definition != null ?
                new ObjectParameter("definition", definition) :
                new ObjectParameter("definition", typeof(byte[]));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_alterdiagram", diagramnameParameter, owner_idParameter, versionParameter, definitionParameter);
        }
    
        public virtual int sp_creatediagram(string diagramname, Nullable<int> owner_id, Nullable<int> version, byte[] definition)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            var versionParameter = version.HasValue ?
                new ObjectParameter("version", version) :
                new ObjectParameter("version", typeof(int));
    
            var definitionParameter = definition != null ?
                new ObjectParameter("definition", definition) :
                new ObjectParameter("definition", typeof(byte[]));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_creatediagram", diagramnameParameter, owner_idParameter, versionParameter, definitionParameter);
        }
    
        public virtual int sp_dropdiagram(string diagramname, Nullable<int> owner_id)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_dropdiagram", diagramnameParameter, owner_idParameter);
        }
    
        public virtual int sp_helpdiagramdefinition(string diagramname, Nullable<int> owner_id)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_helpdiagramdefinition", diagramnameParameter, owner_idParameter);
        }
    
        public virtual int sp_helpdiagrams(string diagramname, Nullable<int> owner_id)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_helpdiagrams", diagramnameParameter, owner_idParameter);
        }
    
        public virtual int sp_renamediagram(string diagramname, Nullable<int> owner_id, string new_diagramname)
        {
            var diagramnameParameter = diagramname != null ?
                new ObjectParameter("diagramname", diagramname) :
                new ObjectParameter("diagramname", typeof(string));
    
            var owner_idParameter = owner_id.HasValue ?
                new ObjectParameter("owner_id", owner_id) :
                new ObjectParameter("owner_id", typeof(int));
    
            var new_diagramnameParameter = new_diagramname != null ?
                new ObjectParameter("new_diagramname", new_diagramname) :
                new ObjectParameter("new_diagramname", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_renamediagram", diagramnameParameter, owner_idParameter, new_diagramnameParameter);
        }
    
        public virtual int sp_upgraddiagrams()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_upgraddiagrams");
        }
    
        public virtual ObjectResult<SPGetAllDeptIdAndName_Result> SPGetAllDeptIdAndName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetAllDeptIdAndName_Result>("SPGetAllDeptIdAndName");
        }
    
        public virtual ObjectResult<SPGetAllDocotors_Result> SPGetAllDocotors()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetAllDocotors_Result>("SPGetAllDocotors");
        }
    
        public virtual ObjectResult<SPGetBedRooms_Result> SPGetBedRooms()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetBedRooms_Result>("SPGetBedRooms");
        }
    
        public virtual ObjectResult<SPGetCallOnDoc_Result> SPGetCallOnDoc()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetCallOnDoc_Result>("SPGetCallOnDoc");
        }
    
        public virtual ObjectResult<SPGetDepartmentIdandName_Result> SPGetDepartmentIdandName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetDepartmentIdandName_Result>("SPGetDepartmentIdandName");
        }
    
        public virtual ObjectResult<SPGetDeptHosp_Result> SPGetDeptHosp()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetDeptHosp_Result>("SPGetDeptHosp");
        }
    
        public virtual ObjectResult<SPGetDisInOutPat_Result> SPGetDisInOutPat()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetDisInOutPat_Result>("SPGetDisInOutPat");
        }
    
        public virtual ObjectResult<SPGetDoctDeptHosp_Result> SPGetDoctDeptHosp()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetDoctDeptHosp_Result>("SPGetDoctDeptHosp");
        }
    
        public virtual ObjectResult<SPGetHospitalIdandName_Result> SPGetHospitalIdandName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetHospitalIdandName_Result>("SPGetHospitalIdandName");
        }
    
        public virtual ObjectResult<SPGetLabDocPat_Result> SPGetLabDocPat()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetLabDocPat_Result>("SPGetLabDocPat");
        }
    
        public virtual ObjectResult<SPGetLabIdCategry_Result> SPGetLabIdCategry()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetLabIdCategry_Result>("SPGetLabIdCategry");
        }
    
        public virtual ObjectResult<SPGetMedNurRoomLabs_Result> SPGetMedNurRoomLabs()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetMedNurRoomLabs_Result>("SPGetMedNurRoomLabs");
        }
    
        public virtual ObjectResult<SPGetMedStores_Result> SPGetMedStores()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetMedStores_Result>("SPGetMedStores");
        }
    
        public virtual ObjectResult<SPGetNurseIdandName_Result> SPGetNurseIdandName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetNurseIdandName_Result>("SPGetNurseIdandName");
        }
    
        public virtual ObjectResult<SPGetOpDocInP_Result> SPGetOpDocInP()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetOpDocInP_Result>("SPGetOpDocInP");
        }
    
        public virtual ObjectResult<SPGetOutPLab_Result> SPGetOutPLab()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetOutPLab_Result>("SPGetOutPLab");
        }
    
        public virtual ObjectResult<SPGetPatDoc_Result> SPGetPatDoc()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetPatDoc_Result>("SPGetPatDoc");
        }
    
        public virtual ObjectResult<SPGetPatientIdandName_Result> SPGetPatientIdandName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetPatientIdandName_Result>("SPGetPatientIdandName");
        }
    
        public virtual ObjectResult<SPGetRegDoc_Result> SPGetRegDoc()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetRegDoc_Result>("SPGetRegDoc");
        }
    
        public virtual ObjectResult<SPGetRegPat_Result> SPGetRegPat()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetRegPat_Result>("SPGetRegPat");
        }
    
        public virtual ObjectResult<SPGetRoomIdAndType_Result> SPGetRoomIdAndType()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetRoomIdAndType_Result>("SPGetRoomIdAndType");
        }
    
        public virtual ObjectResult<SPGetStaffDocNurses_Result> SPGetStaffDocNurses()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetStaffDocNurses_Result>("SPGetStaffDocNurses");
        }
    
        public virtual ObjectResult<SPGetStockMeStore_Result> SPGetStockMeStore()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetStockMeStore_Result>("SPGetStockMeStore");
        }
    
        public virtual ObjectResult<SPGetTestDoc_Result> SPGetTestDoc()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetTestDoc_Result>("SPGetTestDoc");
        }
    
        public virtual ObjectResult<SPGetWardRooms_Result> SPGetWardRooms()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetWardRooms_Result>("SPGetWardRooms");
        }
    
        public virtual ObjectResult<InpaitentNameId_Result> InpaitentNameId()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<InpaitentNameId_Result>("InpaitentNameId");
        }
    
        public virtual ObjectResult<OutpaitentNameId_Result> OutpaitentNameId()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<OutpaitentNameId_Result>("OutpaitentNameId");
        }
    
        public virtual ObjectResult<SPGetStockMedicalStore_Result> SPGetStockMedicalStore()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetStockMedicalStore_Result>("SPGetStockMedicalStore");
        }
    
        public virtual ObjectResult<SPGetWardIdName_Result> SPGetWardIdName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetWardIdName_Result>("SPGetWardIdName");
        }
    
        public virtual ObjectResult<SPGetMedicalStoreIdandName_Result> SPGetMedicalStoreIdandName()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetMedicalStoreIdandName_Result>("SPGetMedicalStoreIdandName");
        }
    
        public virtual ObjectResult<SPGetOutPLabPatMed_Result> SPGetOutPLabPatMed()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<SPGetOutPLabPatMed_Result>("SPGetOutPLabPatMed");
        }
    }
}
